'******************************************************************************
'* Double-Click to create MapMarker shortcut on Desktop or USB device.        *
'******************************************************************************
Option Explicit
On Error Resume Next
Dim myComputer, Shell, usePath, link, strFile, strLast, strPath, msg, objDisk
Dim objWMIService, colDisks, thisDrive, thisType, tag
myComputer = "." 
thisType = "3"                              'Set default to avoid a null later.
Set Shell = CreateObject("WScript.Shell")
strFile = WScript.ScriptFullName               'Extract the file location here.
strLast = InStr(strFile,"CreateShortcut.vbs")       'Remove caller script name.
strPath = Mid(strFile,1,strLast-2) 
thisDrive = Mid(strFile,1,2)                          'Will be C:, D:, G:, etc.
Set objWMIService = GetObject("winmgmts:" _ 
   & "{impersonationLevel=impersonate}!\\" & myComputer & "\root\cimv2")
Set colDisks = objWMIService.ExecQuery("SELECT * FROM Win32_LogicalDisk " _ 
   & "WHERE DriveType = '2' OR DriveType = '3' OR DriveType = '4'")
For Each objDisk in colDisks
   If objDisk.DeviceID = thisDrive Then    'Get the drive Type, ie disk or USB.                        
      thisType = objDisk.DriveType
      Exit For
   End If
Next
If thisType = "2" Then                            'USB so create shortcut here.
    usePath = thisDrive                              
    Set link = Shell.CreateShortcut(usePath & "\Maps.lnk")
    link.IconLocation = "%SystemRoot%\system32\SHELL32.dll,13"
    tag = "USB drive " & thisDrive & "\ "
Else                                       'Desktop shortcut for anything else.
    usePath = Shell.SpecialFolders("Desktop")
    Set link = Shell.CreateShortcut(usePath & "\Maps.lnk")
    link.IconLocation = strPath & "\MapMarker.exe,0"
    tag = "Desktop " 
End If
If link.TargetPath <> "" Then
    msg = tag & "shortcut successfully updated" 
Else
    msg = tag & "shortcut successfully created" 
End If  
link.TargetPath = strPath & "\MapMarker.exe"
link.WorkingDirectory = strPath & "\"
link.WindowStyle = 1
link.Description = "Start Map Marker"
link.Arguments = "-15 -13"              'Example only; change later if desired.
link.Save
Shell.Popup msg, 5,"Map Marker", vbInformation+vbOKOnly
If thisType = "2" Then
    Shell.Run "explorer.exe /n,/e," & thisDrive, 5    'Open at shortcut folder.
End If
